#include "main.h"

#ifndef _DIFFTABLE_H_
#define _DIFFTABLE_H_

typedef struct DifTab {
  double **dif_q;   // backward differences of positions (one per atom)
  double **dif_p;   // backward differences of velocities (one per atom)
  double *dif_beta; // backward differences of beta
  double **A;       // Aij terms for interpolated shadow Hamiltonian formulas

  double **mdf_q;   // backward differences of midpoint positions
  double **mdf_p;   // backward differences of midpoint velocities
  double *mdf_beta; // backward differences of midpoint beta
  double **B;       // Bij terms for interpolated shadow Hamiltonians
} DifTab;

#endif // _DIFFTABLE_H_
